/* -*- mode: c++; c-basic-offset: 4; -*- */
#ifndef CONTAINER_CSD_HH
#define CONTAINER_CSD_HH

#include "fSeries/fSeries.hh"

namespace containers {

    class DFT;

    class CSD : public fSeries {
    public:
	CSD(void);
	CSD(const DFT& fs1, const DFT& fs2);
	CSD(const fSeries& fs);
	~CSD(void);
	CSD* clone(void) const;
	fSeries::FSType getFSType(void) const;
    };

    //==================================  Inline methods
    inline fSeries::FSType 
    CSD::getFSType(void) const {
	return fSeries::kCSD;
    }

} // namespace containers

#endif // !defined(CONTAINER_CSD_HH)
