{
using namespace events; // Lazy! Avoid using events::

//--- Read events from ASCII files. --- 
Set s1;
s1.Restore("myevents1.xml");
s1.AddChain("myevents2.xml");

//--- Sort events in chronological order. ---
s1.Sort();

//--- Search coincidence events. ---
Set s2;
s2.SetWindow(10.0,-5.0); 
s2.Coincidence(s1);

//--- Plot histogram. --
Histogram1 h("Time Diff",12,-6.0,6.0,"Time Difference (sec)","Number of Events"); 
s2.Histogram(h, Column("Time(0)") - Column("Time(1)"));
PlotHistogram(h);
}
