#ifndef DIFFERENCE_HH
#define DIFFERENCE_HH
#include "FIRFilter.hh"

/**  Differential filter takes the difference between each successive 
  *  pair of elements.
  *  @memo
  */
class Difference : public FIRFilter {
public:
  explicit Difference(double Hz);
  explicit Difference(const Difference& x);
  ~Difference(void);
  Difference* clone(void) const;
private:
}
;
#endif   // !defined(DIFFERENCE_HH)
